Misaka.io | Docs
Misaka.io | Docs
API Documentation
Change password POST
Confirm email POSTLogout POSTRefresh user token POSTGet current user token GETGet current user token POST
Get team GETList team members GETGet current available teams GETUpdate Team PATCH
Add Team domain POSTDelete Team domain DELETEList Team domains GET
Add Team member POSTRemove Team member DELETEUpdate Team member PATCH
Get device details GETGroup devices for filtering GETList devices GETDevice metrics GET
List attachments for a device GET
List interfaces for a device GET
Port info GETList ports GETPort transceiver metrics GETPort usage metrics GET
List service billable ports GET
List services GET
List cross connects GET
Verify ASN ownership GET
Create IP announcements POSTDelete IP announcement DELETEGet IP announcements GETUpdate IP announcement PATCHUpload LOA file for BYOIP POST
Lighthouse
Network Flow Timeseries POST
Event Attachments GETEvent Detail Related GETEvent List All GETEvent List Related GETEvent List Related Timeseries GET
Shield Rules List GETShield Rules Update PUT
Timezone For Location GET
Get Filter Keys GET
Batch Update PTR Records POST
Create RecordSet POSTDelete RecordSet DELETEGet RecordSet GETUpdate RecordSet PUT
Create Zone POSTDelete Zone DELETEImport Zone POSTList Zones GET
Disable DNSSEC DELETEEnable DNSSEC POSTGet DNSSEC Configuration GET
List Recordsets GET
Get Zone Settings GETUpdate Zone Settings PUT
AuthTeamMembers

Add Team member

POST
/v3/team/{team_id}/members

Add an existing user to the Team by email address

Authorization

Bearer
AuthorizationBearer <token>

Bearer is only available for WebApp. Please use API tokens for programmatic access.

In: header

Path Parameters

team_id*Team Id

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/v3/team/string/members" \  -H "Content-Type: application/json" \  -d '{    "email": "user@example.com"  }'
{  "id": 0,  "email": "string",  "first_name": "string",  "last_name": "string",  "is_admin": true,  "is_owner": true,  "email_verified": true,  "created": "2019-08-24T14:15:22Z",  "avatar_url": "string"}

How is this guide?

Last updated on 8/12/2026

List Team domains GET

Previous Page

Remove Team member DELETE

Next Page

email*Email
Formatemail
is_admin?Is Admin
Defaultfalse